Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain
Interface DataType

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, Resource, java.io.Serializable

All Known Implementing Classes:
  DataTypeImpl

    public interface DataType

extends Resource

Version:
  $Id: InputControl.java 2332 2006-03-09 02:23:53Z tony $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `TYPE_DATE`
`static byte` | `TYPE_DATE_TIME`
`static byte` | `TYPE_NUMBER`
`static byte` | `TYPE_TEXT`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`java.lang.Integer` | `getDecimals()`
`java.lang.Integer` | `getMaxLength()`
`java.lang.Comparable` | `getMaxValue()`
`java.lang.Comparable` | `getMinValue()`
`java.lang.String` | `getRegularExpr()`
`byte` | `getType()`
`boolean` | `isStrictMax()`
`boolean` | `isStrictMin()`
`void` | `setDecimals(java.lang.Integer decimals)`
`void` | `setMaxLength(java.lang.Integer maxLength)`
`void` | `setMaxValue(java.lang.Comparable maxValue)`
`void` | `setMinValue(java.lang.Comparable minValue)`
`void` | `setRegularExpr(java.lang.String regExp)`
`void` | `setStrictMax(boolean isStrictMax)`
`void` | `setStrictMin(boolean isStrictMin)`
`void` | `setType(byte type)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Field Detail

### TYPE_TEXT

    static final byte TYPE_TEXT

See Also:
  Constant Field Values

### TYPE_NUMBER

    static final byte TYPE_NUMBER

See Also:
  Constant Field Values

### TYPE_DATE

    static final byte TYPE_DATE

See Also:
  Constant Field Values

### TYPE_DATE_TIME

    static final byte TYPE_DATE_TIME

See Also:
  Constant Field Values

Method Detail

### getType

    byte getType()

### setType

    void setType(byte type)

### getMaxLength

    java.lang.Integer getMaxLength()

### setMaxLength

    void setMaxLength(java.lang.Integer maxLength)

### getDecimals

    java.lang.Integer getDecimals()

### setDecimals

    void setDecimals(java.lang.Integer decimals)

### getRegularExpr

    java.lang.String getRegularExpr()

### setRegularExpr

    void setRegularExpr(java.lang.String regExp)

### getMinValue

    java.lang.Comparable getMinValue()

### setMinValue

    void setMinValue(java.lang.Comparable minValue)

### getMaxValue

    java.lang.Comparable getMaxValue()

### setMaxValue

    void setMaxValue(java.lang.Comparable maxValue)

### isStrictMin

    boolean isStrictMin()

### setStrictMin

    void setStrictMin(boolean isStrictMin)

### isStrictMax

    boolean isStrictMax()

### setStrictMax

    void setStrictMax(boolean isStrictMax)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.